Get Trending Keyword
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/keyword \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/keyword"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/keyword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"has_more": true,
"page": 1,
"size": 20,
"total_count": 500
},
"keyword_list": [
{
"comment": 2000,
"cost": 272000,
"cpa": 9.93,
"ctr": 1.71,
"cvr": 11.24,
"impression": 31800000,
"keyword": "christmas",
"like": 127005,
"play_six_rate": 11.45,
"post": 31900,
"post_change": 111.83,
"share": 4038,
"video_list": [
"7578816747088661791",
"7576793446401314065",
"7578693746087234846",
"7559636960327896375",
"7570571645098757389"
]
}
]
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Trending Keyword
Get Trending Keyword
GET
/
api
/
trending
/
keyword
Get Trending Keyword
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Page
Example:
1
Number of items per page (maximum is 20)
Required range:
x <= 20Example:
20
Period in days:
- 7: Last 7 days
- 30: Last 30 days
- 120: Last 120 days
Available options:
7, 30, 120 Example:
7
Objective:
- 1: Traffic
- 2: App Installs
- 3: Conversions
- 4: Video Views
- 5: Reach
- 8: Lead Generation
- 14: Product Sales
You can combine multiple objectives by using a comma. For example: 1,2
Available options:
1, 2, 3, 4, 5, 8, 14 Objective:
- 1: Selling points
- 2: Pain points
- 3: Target audience
- 4: Call-to-action
- 5: Other
- 6: Products
You can combine multiple objectives by using a comma. For example: 1,2
Available options:
1, 2, 3, 4, 5, 6 Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

